cabal-install-3.10.2.1: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Deprecated.ViewAsFieldDescr

Synopsis

- viewAsFieldDescr :: OptionField a -> FieldDescr a

# Documentation

viewAsFieldDescr :: OptionField a -> FieldDescr a #

to view as a FieldDescr, we sort the list of interfaces (Req > Bool > Choice > Opt) and consider only the first one.